<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->foreign('branch')->references('name')->on('branches')->onUpdate('cascade')->onDelete('cascade');
        });

        Schema::table('sales', function (Blueprint $table) {
            $table->foreign('branch')->references('name')->on('branches')->onUpdate('cascade')->onDelete('cascade');
        });

        Schema::table('purchases', function (Blueprint $table) {
            $table->foreign('branch')->references('name')->on('branches')->onUpdate('cascade')->onDelete('cascade');
        });

        Schema::table('stocks', function (Blueprint $table) {
            $table->foreign('branch')->references('name')->on('branches')->onUpdate('cascade')->onDelete('cascade');
        });

        Schema::table('operational_costs', function (Blueprint $table) {
            $table->foreign('branch')->references('name')->on('branches')->onUpdate('cascade')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropForeign(['branch']);
        });

        Schema::table('sales', function (Blueprint $table) {
            $table->dropForeign(['branch']);
        });

        Schema::table('purchases', function (Blueprint $table) {
            $table->dropForeign(['branch']);
        });

        Schema::table('stocks', function (Blueprint $table) {
            $table->dropForeign(['branch']);
        });

        Schema::table('operational_costs', function (Blueprint $table) {
            $table->dropForeign(['branch']);
        });
    }
};
